NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder Class Reference

Represents a NXOpen.GeometricAnalysis.CurveCurvatureAnalysis builder More...

Inheritance diagram for NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CalculationMethod { Curvature, RadiusofCurvature }
 Enumeration for needle calculation method More...
 
enum  DisplayStyle { Linear, Logarithmic }
 Enumeration for needle display type More...
 
enum  LabelValues { Curvature, RadiusofCurvature }
 Enumeration for label computation method More...
 
enum  NeedleDirection { Inside, Outside }
 Enumeration for needle direction type More...
 
enum  ProjectionTypes {
  None, CurvePlane, Vector, View,
  Xyz
}
 Projection plane types More...
 
enum  XyzTypes { X, Y, Z }
 Enumeration for X, Y or Z projection plane More...
 

Public Member Functions

unsafe NXOpen.Point[] CreateDumbInflectionPoints ()
 Create inflection points More...
 
unsafe NXOpen.Point[] CreateDumbPeakPoints ()
 Create peak points More...
 
unsafe
NXOpen.GeometricUtilities.CurveRangeBuilder 
GetCurveRange (int index)
 Returns the NXOpen.GeometricUtilities.CurveRangeBuilder object at a given index from the list More...
 
unsafe int GetCurveRangeListLength ()
 Get the number of NXOpen.GeometricUtilities.CurveRangeBuilder objects in the list More...
 
unsafe void UpdateWorkView ()
 Update work view with a given view matrix More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.CombOptionsBuilder 
CombOptions [get]
 Returns the comb display block options More...
 
unsafe
NXOpen.GeometricUtilities.CurveRangeBuilder 
CombRange [get]
 Returns the comb range More...
 
unsafe bool DynamicProjection [get, set]
 Returns or sets the dynamic projection More...
 
unsafe
NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.CalculationMethod 
Method [get, set]
 Returns or sets the method More...
 
unsafe
NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.ProjectionTypes 
Projection [get, set]
 Returns or sets the projection More...
 
unsafe int ReverseDirection [get, set]
 Returns or sets the reverse direction More...
 
unsafe NXOpen.ScCollector SelectedCurves [get]
 Returns the selected curves and/or edges More...
 
unsafe bool ShowCombs [get, set]
 Returns or sets the show combs More...
 
unsafe bool ShowInflections [get, set]
 Returns or sets the show inflections More...
 
unsafe bool ShowMaxLabels [get, set]
 Returns or sets the show max labels More...
 
unsafe bool ShowMinLabels [get, set]
 Returns or sets the show min labels More...
 
unsafe bool ShowPeaks [get, set]
 Returns or sets the show peaks More...
 
unsafe
NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.DisplayStyle 
Style [get, set]
 Returns or sets the style More...
 
unsafe NXOpen.Direction Vector [get, set]
 Returns or sets the vector More...
 
unsafe
NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.XyzTypes 
Xyz [get, set]
 Returns or sets the xyz More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricAnalysis.CurveCurvatureAnalysis builder

To create a new instance of this class, use NXOpen.GeometricAnalysis.AnalysisObjectCollection.CreateCurveCurvatureAnalysisBuilder

Default values.

Property Value

CombRange.AnchorPosition

Start

DynamicProjection

1

Method

Curvature

Projection

None

ReverseDirection

0

ShowInflections

0

ShowPeaks

0

Style

Linear

Xyz

X

Created in NX7.0.0

Member Enumeration Documentation

Enumeration for needle calculation method

Enumerator
Curvature 

needle of curvature value

RadiusofCurvature 

needle of radius of curvature value

Enumeration for needle display type

Enumerator
Linear 

linear needle

Logarithmic 

logarithmic needle

Enumeration for label computation method

Enumerator
Curvature 

label showing curvature value

RadiusofCurvature 

label showing radius of curvature value

Enumeration for needle direction type

Enumerator
Inside 

needle pointing inside

Outside 

needle pointing outside

Projection plane types

Enumerator
None 

no projection

CurvePlane 

best fit plane

Vector 

specify vector

View 

view plane

Xyz 

specify x,y,z plane

Enumeration for X, Y or Z projection plane

Enumerator
X 

x-axis plane

Y 

y-axis plane

Z 

z-axis plane

Member Function Documentation

unsafe NXOpen.Point [] NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.CreateDumbInflectionPoints ( )
inline

Create inflection points

Created in NX7.0.0

License requirements: None.

Returns
unsafe NXOpen.Point [] NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.CreateDumbPeakPoints ( )
inline

Create peak points

Created in NX7.0.0

License requirements: None.

Returns
unsafe NXOpen.GeometricUtilities.CurveRangeBuilder NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.GetCurveRange ( int  index)
inline

Returns the NXOpen.GeometricUtilities.CurveRangeBuilder object at a given index from the list

Created in NX8.0.1

License requirements: None.

Parameters
index
Returns
unsafe int NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.GetCurveRangeListLength ( )
inline

Get the number of NXOpen.GeometricUtilities.CurveRangeBuilder objects in the list

Created in NX8.0.1

License requirements: None.

Returns
unsafe void NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.UpdateWorkView ( )
inline

Update work view with a given view matrix

Created in NX7.0.0

License requirements: None.

Property Documentation

unsafe NXOpen.GeometricUtilities.CombOptionsBuilder NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.CombOptions
get

Returns the comb display block options

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveRangeBuilder NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.CombRange
get

Returns the comb range

Created in NX7.0.0

License requirements: None.

unsafe bool NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.DynamicProjection
getset

Returns or sets the dynamic projection

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.CalculationMethod NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.Method
getset

Returns or sets the method

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.ProjectionTypes NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.Projection
getset

Returns or sets the projection

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.ReverseDirection
getset

Returns or sets the reverse direction

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.ScCollector NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.SelectedCurves
get

Returns the selected curves and/or edges

Created in NX7.0.0

License requirements: None.

unsafe bool NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.ShowCombs
getset

Returns or sets the show combs

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.ShowInflections
getset

Returns or sets the show inflections

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.ShowMaxLabels
getset

Returns or sets the show max labels

Created in NX7.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.ShowMinLabels
getset

Returns or sets the show min labels

Created in NX7.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.ShowPeaks
getset

Returns or sets the show peaks

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.DisplayStyle NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.Style
getset

Returns or sets the style

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Direction NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.Vector
getset

Returns or sets the vector

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.XyzTypes NXOpen.GeometricAnalysis.CurveCurvatureAnalysisBuilder.Xyz
getset

Returns or sets the xyz

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.